Bug 607045 - DGA client can crash the server
Summary: DGA client can crash the server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 03:02 UTC by Peter Hutterer
Modified: 2010-11-10 21:59 UTC (History)
1 user (show)

Fixed In Version: xorg-x11-server-1.7.7-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:59:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dga crash test (783 bytes, text/plain)
2010-06-23 03:02 UTC, Peter Hutterer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 27573 None None None Never

Description Peter Hutterer 2010-06-23 03:02:16 UTC
Created attachment 426141 [details]
dga crash test

Description of problem:
A DGA client registering for pointer events can crash the server if the device moved is a floating slave device.

Version-Release number of selected component (if applicable):
xorg-x11-server-1.7.7-11.el6

How reproducible:
If a floating slave generates pointer events while a DGA client has selected for input, a null-pointer dereference causes a server crash.

Steps to Reproduce:
1. find the name of a pointer device on your machine (xinput --list)
2. float the device (xinput --float <device name>)
3. compile and run the attached dga.c test program.
4. Move the device, server crashes.
  
Additional info:
Some pointer devices have keys attached to them (evtest on the device file will show this). Good devices to test are standalone USB mice (not from mouse/keyboard combos) or the trackstick found on Lenovo laptops.

Comment 1 RHEL Product and Program Management 2010-06-23 03:02:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Peter Hutterer 2010-06-29 00:30:57 UTC
MODIFIED

xorg-x11-server-1.7.7-16.el6 is available in brew.

Comment 4 Vladimir Benes 2010-09-21 12:26:19 UTC
following comment 0 steps:
1. xinput --float "Dell Dell USB Optical Mouse"
2. compilation and executing of dga.c (have to use -lX11 -lXxf86dga)  
3. mouse movements done

results:
no crash 

-> VERIFIED

Comment 5 releng-rhel@redhat.com 2010-11-10 21:59:04 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.